Get a single item for a style
curl --request GET \
--url https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/items/{styleItemId}import requests
url = "https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/items/{styleItemId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/items/{styleItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": "<string>",
"data": {
"id": 123,
"styleId": 123,
"description": "<string>",
"position": 123,
"quantity": 123,
"dateAdded": "2023-11-07T05:31:56Z",
"state": "active",
"itemSize": {
"id": 123,
"name": "<string>",
"state": "active",
"deadline": "2023-11-07T05:31:56Z",
"etd": "2023-11-07T05:31:56Z",
"position": 123,
"physicalReferenceNumber": "<string>",
"erpSizeId": "<string>",
"properties": [
"<string>"
]
},
"item": {
"id": 123,
"name": "<string>",
"customId": "<string>",
"state": "active",
"description": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"organization": {
"id": 123,
"name": "<string>"
},
"supplier": {
"id": 123,
"name": "<string>",
"customId": "<string>"
},
"companyContactPerson": {
"id": "<string>",
"name": "<string>"
},
"supplierContactPerson": {
"id": "<string>",
"name": "<string>"
},
"categories": [
{
"id": 123,
"name": "<string>"
}
],
"parts": [
{
"id": 123,
"name": "<string>",
"value": 123,
"unit": "<string>",
"materials": [
{
"id": 123,
"name": "<string>",
"percentage": 123
}
]
}
],
"adminUnit": {
"id": 123,
"name": "<string>",
"customId": "<string>",
"properties": [
"<string>"
]
},
"logo": {
"id": "<string>",
"url": "<string>"
},
"lastUpdated": "2023-11-07T05:31:56Z",
"deadline": "2023-11-07T05:31:56Z",
"etd": "2023-11-07T05:31:56Z",
"erpItemId": "<string>",
"defaultQty": 123,
"nameGeneratorExtraText": "<string>",
"physicalReferenceNumber": "<string>",
"properties": [
"<string>"
]
},
"properties": [
"<string>"
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}StyleItems
Get a single item for a style
Returns a single item as added to a given style, including quantity, placement (description), and the full item detail with brand, supplier, categories, parts (quality), admin unit, and logo. Boolean flags are represented as string arrays in the ‘properties’ fields.
GET
/
api
/
styles
/
{styleId}
/
items
/
{styleItemId}
Get a single item for a style
Headers
Path Parameters
Identifier of the style the item belongs to.
Identifier of the style item to return.
Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
Available options:
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes